%define _disable_ld_no_undefined %{nil}

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/zathura/.*\\.so

# explicitly set zathura version because plugins (like cb, djvu, ps and pdf-poppler)
# should absolutely be rebuilded at each new release otherwise zathura crashes, see
# mga#32937
%define zathura_version 0.5.5

Name:		zathura-cb
Version:	0.1.10
Release:	%mkrel 1
Summary:	Comic book support for zathura
Group:		Publishing
License:	Zlib
URL:		https://pwmt.org/projects/zathura-cb
Source0:	https://pwmt.org/projects/zathura-cb/download/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(zathura) = %{zathura_version}

Requires:	zathura = %{zathura_version}

%description
The zathura-cb plugin adds comic book archive support to zathura.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc AUTHORS
%{_libdir}/zathura/libcb.so
%{_datadir}/applications/org.pwmt.zathura-cb.desktop
%{_metainfodir}/org.pwmt.zathura-cb.metainfo.xml


%changelog
* Thu Mar 07 2024 daviddavid <daviddavid> 0.1.10-1.mga10
+ Revision: 2048214
- initial package zathura-cb

